function plotbase(self, dataName, newFig)
    % PLOTBASE Plot the baseTable data.
    %   .
    % -----
    %
    % Syntax:
    %   Periods.plotbase()
    %
    % Inputs:
    %   self : a Periods object with populated self.Raw property.
    %
    % Output:
    %     :
    %
    % See also: Periods, Periods.normalize, TestCase.

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2022-2024 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    % Repo: https://gitlab.uliege.be/mecharaptor/data-processing
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    % --- Input checks
    % TODO: We should check if Periods.baseTable is populated
    if nargin < 3
        newFig = false;
    end

    if newFig
        figname = sprintf('Periods - Base (%s)', self.setPosition);
        close(findobj('type', 'figure', 'name', figname));
        figure('Name', figname);
    end

    % Plot
    plot(self.baseTable.time(1:end), self.baseTable.(dataName)(1:end));
    grid on;

end
