function conditionalprint(condition, message)
    % CONDIONALPRINT Print a message if the condition is true
    % -----
    %
    % Syntax:
    %   conditionalprint(condition, message) Print a message if the condition is true.
    %
    % Inputs:
    %   condition : a boolean condition
    %   message   : the string to be printed in the console
    %
    % Output:
    %   console print of the string

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2022-2024 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    % Repo: https://gitlab.uliege.be/mecharaptor/data-processing
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    if condition
        fprintf(message);
    end

end
