function [Joined] = jointables(Table1, Table2, commonCol, colNames, rmCommon)
    % JOINTABLE Join two tables under a single one, using a common column.
    %   TODO.
    % -----
    %
    % Syntax:
    %   TODO.
    %
    % Inputs:
    %   TODO
    %
    % Output:
    %   TODO
    %
    % See also: plot.

    % ----------------------------------------------------------------------------------------------
    % Source: https://en.wikipedia.org/wiki/Phase_(waves)
    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2024 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    if nargin < 5
        rmCommon = false;
    end

    % Remove commonCol from both tables
    common = Table1.(commonCol);
    Table1 = removevars(Table1, commonCol);
    Table2 = removevars(Table2, commonCol);

    % Join everything
    if rmCommon
        Joined = table(Table1, Table2, 'VariableNames', colNames);
    else
        Joined = table(common, Table1, Table2, 'VariableNames', colNames);
    end

end
