function printsection(sectionName)
    % PRINTSECTION Print a divider for section header in command window
    % -----
    %
    % Syntax:
    %   PRINTSECTION(sectionName) Print the 'sectionName' in command window in red and underlined.
    %
    % Inputs:
    %   sectionName: Name of the section to print in command window
    %
    % Output:
    %   String in terminal.
    %
    % Example:
    %   PRINTSECTION('1 - Data loading')

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2024 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    fprintf(2, '\n%s\n', sectionName);
    fprintf(2, '-------------------------------------------------------------------------------\n');
end
